Skip to main content
`Ctrl`+`K`

# DS

Direct solver (or dense system), to represent low-dimensional eigenproblems that must be solved within iterative solvers. This is an auxiliary object and is not normally needed by application programmers.

## Synopsis

    typedef struct _p_DS* DS;

## See Also

DS: Direct Solver (or Dense System), `DSCreate()`

## Level

beginner

## Location

include/slepcds.h

## Implementations

_p_DS in include/slepc/private/dsimpl.h
DS_GSVD in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DS_HSVD in src/sys/classes/ds/impls/hsvd/dshsvd.c
DS_NEP in src/sys/classes/ds/impls/nep/dsnep.c
DS_NHEPTS in src/sys/classes/ds/impls/nhepts/dsnhepts.c
DS_PEP in src/sys/classes/ds/impls/pep/dspep.c
DS_SVD in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages